Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExManagerOutput Class Reference

`#include <ExManagerOutput.h>`

Inheritance diagram for ExManagerOutput:

## Public Methods
void | SetManagerCollision (ExManagerCollision *Collision)
void | SetManagerFog (ExManagerFog *Fog)
void | SetManagerAnim (ExManagerAnimation *Anim)
void | SetManagerWindow (ExManagerWindow *Window)
void | SetManagerCommand (ExManagerCommand *Command)
void | SetManagerConsole (ExManagerConsole *Console)
void | SetManagerMenu (ExManagerMenu *Menu)
void | SetManagerInterface (ExManagerInterface *Interface)
void | SetManagerSpirit (ExManagerSpirit *Spirit)
void | SetManagerMap (ExManagerMap *Map)
void | SetManagerCamera (ExManagerCamera *Cam)
void | SetManagerModel (ExManagerModel *Model)
void | SetManagerGizmo (ExManagerGizmo *Gizmo)
void | SetManagerParticuleSystem (ExManagerParticuleSystem *ParticuleSystem)
void | SetManagerLight (ExManagerLight *Light)
void | SetManagerNetwork (ExManagerNetwork *Network)
void | Reset (void)
void | Init (void)
void | DrawScene (void)
void | Reshape (int w, int h)
## Static Public Methods
ExManagerOutput * | CreateSingleton (void)
## Private Methods
| ExManagerOutput (void)
| ~ExManagerOutput (void)
## Private Attributes
ExManagerCollision * | ManagerCollision
ExManagerFog * | ManagerFog
ExManagerAnimation * | ManagerAnim
ExManagerWindow * | ManagerWindow
ExManagerCommand * | ManagerCommand
ExManagerConsole * | ManagerConsole
ExManagerInterface * | ManagerInterface
ExManagerMenu * | ManagerMenu
ExManagerSpirit * | ManagerSpirit
ExManagerMap * | ManagerMap
ExManagerCamera * | ManagerCamera
ExManagerModel * | ManagerModel
ExManagerGizmo * | ManagerGizmo
ExManagerParticuleSystem * | ManagerParticuleSystem
ExManagerLight * | ManagerLight
ExManagerNetwork * | ManagerNetwork
## Static Private Attributes
bool | m_flag = false
ExManagerOutput * | m_instance = NULL

## Constructor & Destructor Documentation

ExManagerOutput | ( | void |  | ) | `[private]`

| Definition at line 43 of file ExManagerOutput.cpp. References ExManagerOutput(), and Guard. Referenced by ExManagerOutput(), and ~ExManagerOutput().
    00044 {
    00045 Guard(ExManagerOutput::ExManagerOutput(void))
    00046 UnGuard
    00047 }

~ExManagerOutput | ( | void |  | ) | `[private]`

| Definition at line 49 of file ExManagerOutput.cpp. References ExManagerOutput(), and Guard.
    00050 {
    00051 Guard(ExManagerOutput::~ExManagerOutput(void))
    00052 UnGuard
    00053 }

## Member Function Documentation

ExManagerOutput * CreateSingleton | ( | void |  | ) | `[static]`

| Definition at line 29 of file ExManagerOutput.cpp. References CreateSingleton(), Guard, m_flag, and m_instance. Referenced by CreateSingleton(), and main().
    00029                                                      {
    00030 Guard(ExManagerOutput* ExManagerOutput::CreateSingleton(void))
    00031         if(!m_flag)
    00032         {
    00033                 m_flag = true; // We are creating the error log now, so set flag to true
    00034                 m_instance = new ExManagerOutput; // Create the error log
    00035         }else
    00036         {
    00037                 std::cout<<"Error singleton already created"<<std::endl;
    00038         }
    00039         return m_instance;
    00040 UnGuard
    00041 }

void DrawScene | ( | void |  | ) |

| Definition at line 101 of file ExManagerOutput.cpp. References ExManagerCommand::ApplyAction(), ExManagerConsole::Draw(), ExManagerMenu::Draw(), ExManagerSpirit::Draw(), ExManagerNetwork::Draw(), ExManagerInterface::Draw(), ExManagerParticuleSystem::Draw(), ExManagerGizmo::Draw(), ExManagerModel::Draw(), ExManagerMap::Draw(), ExManagerCamera::Draw(), DrawScene(), ExManagerWindow::GetFpsState(), ExManagerWindow::GetGrilleState(), ExManager::GetStatus(), Guard, ManagerCamera, ManagerCommand, ManagerConsole, ManagerGizmo, ManagerInterface, ManagerMap, ManagerMenu, ManagerModel, ManagerNetwork, ManagerParticuleSystem, ManagerSpirit, ManagerWindow, and ExManagerWindow::ShowFps(). Referenced by DrawScene(), and reshape().
    00102 {
    00103 Guard(ExManagerOutput::DrawScene(void))
    00104         //glClear(GL_COLOR_BUFFER_BIT|GL_DEPTH_BUFFER_BIT|GL_ACCUM_BUFFER_BIT|GL_STENCIL_BUFFER_BIT);
    00105         glClear(GL_COLOR_BUFFER_BIT|GL_DEPTH_BUFFER_BIT);
    00106     ManagerCommand->ApplyAction();
    00107         //-------------------------------------------
    00108         //Draw 3d Object
    00109         //-------------------------------------------
    00110         ManagerCamera->Draw();
    00111         //if(ManagerWindow->GetMotionBlurState()){ManagerWindow->MotionBlur();}
    00112     ManagerMap->Draw();
    00113         ManagerModel->Draw();
    00114         ManagerGizmo->Draw();
    00115         ManagerParticuleSystem->Draw();
    00116     //ManagerLight->Draw();
    00117         if(ManagerWindow->GetGrilleState()){glCallList(GRILLE);}
    00118         //-------------------------------------------
    00119         //Draw 2d Object
    00120         //-------------------------------------------
    00121         if(ManagerInterface->GetStatus()){ManagerInterface->Draw();}
    00122         if(ManagerWindow->GetFpsState())ManagerWindow->ShowFps();
    00123         ManagerNetwork->Draw();
    00124         ManagerSpirit->Draw();
    00125         //ManagerWindow->Specialeffect();
    00126         ManagerMenu->Draw();
    00127         ManagerConsole->Draw();
    00128         glFlush();
    00129         glutSwapBuffers();
    00130 UnGuard
    00131 }

void Init | ( | void |  | ) | `[virtual]`

| Reimplemented from ExManager. Definition at line 60 of file ExManagerOutput.cpp. References Guard, and Init(). Referenced by Init(), InitManager(), Reset(), and SetGlutCallBack().
    00061 {
    00062 Guard(ExManagerOutput::Init(void))
    00063         glShadeModel(GL_SMOOTH);                                                        // Enable Smooth Shading
    00064         glClearColor(0.0f, 0.0f, 0.0f, 0.5f);                           // Black Background
    00065         glClearDepth(1.0f);                                                                     // Depth Buffer Setup
    00066         glDepthFunc(GL_LEQUAL);                                                         // The Type Of Depth Testing To Do
    00067         glCullFace(GL_BACK);
    00068         glEnable(GL_CULL_FACE);
    00069         //glEnable(GL_LIGHTING);
    00070         glPolygonMode(GL_FRONT,GL_FILL);
    00071         glEnable(GL_COLOR_MATERIAL );
    00072         glEnable(GL_DEPTH_TEST);
    00073         glEnable(GL_AUTO_NORMAL);
    00074         glEnable(GL_NORMALIZE);
    00075         glEnable(GL_ALPHA_TEST);
    00076         //glLightModelf(GL_LIGHT_MODEL_TWO_SIDE,GL_FALSE);
    00077         glLineWidth(1.5);
    00078         glRenderMode(GL_RENDER);
    00079 UnGuard
    00080 }

void Reset | ( | void |  | ) | `[virtual]`

| Reimplemented from ExManager. Definition at line 55 of file ExManagerOutput.cpp. References Init().
    00056 {
    00057         Init();
    00058 }

void Reshape | ( | int | w,
|  | int | h
| ) |

| Definition at line 84 of file ExManagerOutput.cpp. References ExCCamera::Draw(), ExCCamera::GetClipFar(), ExCCamera::GetClipNear(), ExManagerCamera::GetCurrentObject(), ExManagerWindow::GetResolutionX(), ExManagerWindow::GetResolutionY(), ExCCamera::GetZoom(), Guard, ManagerCamera, ManagerWindow, Reshape(), and ExManagerWindow::SetResolution(). Referenced by Reshape().
    00085 {
    00086 Guard(ExManagerOutput::Reshape(int w,int h))
    00087         ManagerWindow->SetResolution(w,h);
    00088         glMatrixMode(GL_PROJECTION);
    00089         glLoadIdentity();
    00090         glViewport(0,0,ManagerWindow->GetResolutionX(),ManagerWindow->GetResolutionY());
    00091         gluPerspective(ManagerCamera->GetCurrentObject()->GetZoom(),
    00092                 (1.0f *ManagerWindow->GetResolutionX() / ManagerWindow->GetResolutionY()),
    00093                 ManagerCamera->GetCurrentObject()->GetClipNear(),
    00094                 ManagerCamera->GetCurrentObject()->GetClipFar());
    00095         glMatrixMode(GL_MODELVIEW);
    00096         glLoadIdentity();
    00097         ManagerCamera->GetCurrentObject()->Draw();
    00098 UnGuard
    00099 }

void SetManagerAnim | ( | ExManagerAnimation * | Anim | ) | `[inline]`

| Definition at line 121 of file ExManagerOutput.h. References ManagerFog. Referenced by SetManagerLink().
    00121 {ManagerFog = Fog;}

void SetManagerCamera | ( | ExManagerCamera * | Cam | ) | `[inline]`

| Definition at line 129 of file ExManagerOutput.h. References ManagerMap. Referenced by SetManagerLink().
    00129 {ManagerMap = Map;}

void SetManagerCollision | ( | ExManagerCollision * | Collision | ) | `[inline]`

| Definition at line 119 of file ExManagerOutput.h. Referenced by SetManagerLink().
    00120 {ManagerCollision = Collision;}

void SetManagerCommand | ( | ExManagerCommand * | Command | ) | `[inline]`

| Definition at line 123 of file ExManagerOutput.h. References ManagerWindow. Referenced by SetManagerLink().
    00123 {ManagerWindow = Window;}

void SetManagerConsole | ( | ExManagerConsole * | Console | ) | `[inline]`

| Definition at line 124 of file ExManagerOutput.h. References ManagerCommand. Referenced by SetManagerLink().
    00124 {ManagerCommand = Command;}

void SetManagerFog | ( | ExManagerFog * | Fog | ) | `[inline]`

| Definition at line 120 of file ExManagerOutput.h. References ManagerCollision. Referenced by SetManagerLink().
    00120 {ManagerCollision = Collision;}

void SetManagerGizmo | ( | ExManagerGizmo * | Gizmo | ) | `[inline]`

| Definition at line 131 of file ExManagerOutput.h. Referenced by SetManagerLink().
    00131 {ManagerModel = Model;}

void SetManagerInterface | ( | ExManagerInterface * | Interface | ) | `[inline]`

| Definition at line 126 of file ExManagerOutput.h. References ManagerMenu. Referenced by SetManagerLink().
    00126 {ManagerMenu=Menu;}

void SetManagerLight | ( | ExManagerLight * | Light | ) | `[inline]`

| Definition at line 133 of file ExManagerOutput.h. References ManagerParticuleSystem. Referenced by SetManagerLink().
    00133 {ManagerParticuleSystem = ParticuleSystem;}

void SetManagerMap | ( | ExManagerMap * | Map | ) | `[inline]`

| Definition at line 128 of file ExManagerOutput.h. References ManagerSpirit. Referenced by SetManagerLink().
    00128 {ManagerSpirit=Spirit;}

void SetManagerMenu | ( | ExManagerMenu * | Menu | ) | `[inline]`

| Definition at line 125 of file ExManagerOutput.h. References ManagerConsole. Referenced by SetManagerLink().
    00125 {ManagerConsole=Console;}

void SetManagerModel | ( | ExManagerModel * | Model | ) | `[inline]`

| Definition at line 130 of file ExManagerOutput.h. References ManagerCamera. Referenced by SetManagerLink().
    00130 {ManagerCamera = Cam;}

void SetManagerNetwork | ( | ExManagerNetwork * | Network | ) | `[inline]`

| Definition at line 134 of file ExManagerOutput.h. References ManagerLight. Referenced by SetManagerLink().
    00134 {ManagerLight = Light;}

void SetManagerParticuleSystem | ( | ExManagerParticuleSystem * | ParticuleSystem | ) | `[inline]`

| Definition at line 132 of file ExManagerOutput.h. References ManagerGizmo. Referenced by SetManagerLink().
    00132 {ManagerGizmo = Gizmo;}

void SetManagerSpirit | ( | ExManagerSpirit * | Spirit | ) | `[inline]`

| Definition at line 127 of file ExManagerOutput.h. References ManagerInterface. Referenced by SetManagerLink().
    00127 {ManagerInterface=Interface;}

void SetManagerWindow | ( | ExManagerWindow * | Window | ) | `[inline]`

| Definition at line 122 of file ExManagerOutput.h. Referenced by SetManagerLink().
    00122 {ManagerAnim = Anim;}

## Field Documentation

bool m_flag = false`[static, private]`

| Definition at line 26 of file ExManagerOutput.cpp. Referenced by CreateSingleton().

ExManagerOutput * m_instance = NULL`[static, private]`

| Definition at line 27 of file ExManagerOutput.cpp. Referenced by CreateSingleton().

ExManagerAnimation* ManagerAnim`[private]`

| Definition at line 89 of file ExManagerOutput.h.

ExManagerCamera* ManagerCamera`[private]`

| Definition at line 99 of file ExManagerOutput.h. Referenced by DrawScene(), and Reshape().

ExManagerCollision* ManagerCollision`[private]`

| Definition at line 87 of file ExManagerOutput.h.

ExManagerCommand* ManagerCommand`[private]`

| Definition at line 91 of file ExManagerOutput.h. Referenced by DrawScene().

ExManagerConsole* ManagerConsole`[private]`

| Definition at line 92 of file ExManagerOutput.h. Referenced by DrawScene().

ExManagerFog* ManagerFog`[private]`

| Definition at line 88 of file ExManagerOutput.h.

ExManagerGizmo* ManagerGizmo`[private]`

| Definition at line 101 of file ExManagerOutput.h. Referenced by DrawScene().

ExManagerInterface* ManagerInterface`[private]`

| Definition at line 94 of file ExManagerOutput.h. Referenced by DrawScene().

ExManagerLight* ManagerLight`[private]`

| Definition at line 103 of file ExManagerOutput.h.

ExManagerMap* ManagerMap`[private]`

| Definition at line 98 of file ExManagerOutput.h. Referenced by DrawScene().

ExManagerMenu* ManagerMenu`[private]`

| Definition at line 95 of file ExManagerOutput.h. Referenced by DrawScene().

ExManagerModel* ManagerModel`[private]`

| Definition at line 100 of file ExManagerOutput.h. Referenced by DrawScene().

ExManagerNetwork* ManagerNetwork`[private]`

| Definition at line 104 of file ExManagerOutput.h. Referenced by DrawScene().

ExManagerParticuleSystem* ManagerParticuleSystem`[private]`

| Definition at line 102 of file ExManagerOutput.h. Referenced by DrawScene().

ExManagerSpirit* ManagerSpirit`[private]`

| Definition at line 96 of file ExManagerOutput.h. Referenced by DrawScene().

ExManagerWindow* ManagerWindow`[private]`

| Definition at line 90 of file ExManagerOutput.h. Referenced by DrawScene(), and Reshape().

The documentation for this class was generated from the following files:

- ExManagerOutput.h
- ExManagerOutput.cpp